Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class NotFoundReason

    java.lang.Object
      org.omg.CosNaming.NamingContextPackage.NotFoundReason

All Implemented Interfaces:
  Serializable, IDLEntity

    public class NotFoundReason

extends Object
implements IDLEntity

Indicates the reason for not able to resolve.

Field Summary
`static int` | `_missing_node`
`static int` | `_not_context`
`static int` | `_not_object`
`static NotFoundReason` | `missing_node`
`static NotFoundReason` | `not_context`
`static NotFoundReason` | `not_object`

Constructor Summary
`protected` | `NotFoundReason(int value)`

Method Summary
`static NotFoundReason` | `from_int(int value)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _missing_node

    public static final int _missing_node

See Also:
  Constant Field Values

### missing_node

    public static final NotFoundReason missing_node

### _not_context

    public static final int _not_context

See Also:
  Constant Field Values

### not_context

    public static final NotFoundReason not_context

### _not_object

    public static final int _not_object

See Also:
  Constant Field Values

### not_object

    public static final NotFoundReason not_object

Constructor Detail

### NotFoundReason

    protected NotFoundReason(int value)

Method Detail

### value

    public int value()

### from_int

    public static NotFoundReason from_int(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.